import * as React from 'react';
import { ErrorBoundary } from '@app/frontend-stack-react/entries/chakraui/components/ErrorBoundary.js';
interface DocumentProps {
    children: React.ReactNode;
}
export declare const Head: React.ComponentType<{
    __remix_island_render_server?: boolean;
}> & {
    __remix_island_id?: string;
};
export declare const Document: React.FC<DocumentProps & React.RefAttributes<any>> | React.ForwardRefExoticComponent<DocumentProps & React.RefAttributes<any>>;
export declare let loader: ({ request }: {
    request: any;
}) => Promise<import("@remix-run/node").TypedResponse<{
    locale: any;
}>>;
export declare let handle: {
    i18n: string;
};
export declare function shouldRevalidate(params: any): boolean;
export default function App(): React.JSX.Element;
export { ErrorBoundary };
