import {combineEpics,ofType}from'redux-observable';import {BehaviorSubject,mergeMap,takeUntil}from'rxjs';import features from'../modules.js';const epic$ = new BehaviorSubject(combineEpics(...features.epics));
// Since we're using mergeMap, by default any new
// epic that comes in will be merged into the previous
// one, unless an EPIC_END action is dispatched first,
// which would cause the old one(s) to be unsubscribed
const rootEpic = (action$, state$, dependencies) => epic$.pipe(mergeMap((epic) => epic(action$, state$, dependencies).pipe(takeUntil(action$.pipe(ofType('EPIC_END'))))));export{epic$,rootEpic};